import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_umengshare/flutter_umengshare.dart';


void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
    _init();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await FlutterUmengshare.platformVersion;
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running on: $_platformVersion\n'),
        ),
        floatingActionButton: FloatingActionButton(
          backgroundColor: Colors.blue,
          onPressed: () {
            FlutterUmengshare.shareUI("asdf", "asdf", "asdf", "http://www.baidu.com", [
              UMSharePlatform.Sina.index,
              UMSharePlatform.QQ.index,
              UMSharePlatform.Qzone.index,
              UMSharePlatform.WechatSession.index,
              UMSharePlatform.WechatTimeLine.index,
              UMSharePlatform.Twitter.index,
              UMSharePlatform.Facebook.index
            ]).then((value) {});
          },
        ),
      ),
    );
  }

  Future<void> _init() async {
    FlutterUmengshare.initUmengAppKey('5b35faeff29d98344e00003d');
    FlutterUmengshare.setupUSharePlatforms([
      {
        'platform': UMPlatform.Wechat.index,
        'appKey': 'wxdc1e388c3822c80b',
        'appSecret': '3baf1193c85774b3fd9d18447d76cab0',
        'redirectURL': ''
      },
      {
        'platform': UMPlatform.QQ.index,
        'appKey': '1105821097',
        'appSecret': '',
        'redirectURL': ''
      },
      {
        'platform': UMPlatform.Sina.index,
        'appKey': '3921700954',
        'appSecret': '04b48b094faeb16683c32669824ebdad',
        'redirectURL': 'https://sns.whalecloud.com/sina2/callback'
      },
      {
        'platform': UMPlatform.Twitter.index,
        'appKey': 'fB5tvRpna1CKK97xZUslbxiet',
        'appSecret': 'YcbSvseLIwZ4hZg9YmgJPP5uWzd4zr6BpBKGZhf07zzh3oj62K',
        'redirectURL': ''
      },
      {
        'platform': UMPlatform.Facebook.index,
        'appKey': '506027402887373',
        'appSecret': '',
        'redirectURL': ''
      }
    ]);
  }
}
